/*
 * Please see the included README.md file for license terms and conditions.
 */

window.app = window.app || {};

app.LOG = false;

app.consoleLog = function () {
    if (app.LOG) {
        var args = Array.prototype.slice.call(arguments, 0);
        console.log.apply(console, args);
    }
};

app.initEvents = function () {
    "use strict";
    var fName = "app.initEvents():";
    app.consoleLog(fName, "entry");

    var el, evt;

    if (navigator.msPointerEnabled || !('ontouchend' in window))
        evt = "click";
    else
        evt = "touchend";

    app.hideSplashScreen();

    app.consoleLog(fName, "exit");
};
document.addEventListener("app.Ready", app.initEvents, false);


app.hideSplashScreen = function () {
    "use strict";
    var fName = "app.hideSplashScreen():";
    app.consoleLog(fName, "entry");

    if (navigator.splashscreen && navigator.splashscreen.hide) {
        navigator.splashscreen.hide();
    }
    if (window.intel && intel.xdk && intel.xdk.device) {
        if (intel.xdk.device.hideSplashScreen)
            intel.xdk.device.hideSplashScreen();
    }

    app.consoleLog(fName, "exit");
};